--------------------------------------------------------------------------------
function PreloadMusic()
    local vecMusic = ParseDirectory('data/Music/')
    global_music_list = {}
    
    for i = 0, vecMusic:size() - 1 do
        local music_path = vecMusic:get(i)
        local name = ExtractFileName(music_path)
        
        LoadMusic(name, music_path)
        if not string.find(name, 'loading') then
            table.insert(global_music_list, name)
        end
    end
    
    ---
    LoadMusic("music_extra1",   "data/Music/music_1.ogg")
    LoadMusic("music_extra2",   "data/Music/music_2.ogg")
    LoadMusic("music_extra3",   "data/Music/music_3.ogg")
    LoadMusic("music_extra4",   "data/Music/music_4.ogg")
end
--------------------------------------------------------------------------------

function PreloadCommonSounds()
    LoadSounds('data/Sound/Common/')
end
--------------------------------------------------------------------------------

function PreloadTestVoice()
    LoadVoice('testVoice', 'data/Sound/Voices/testVoice.ogg')
end
--------------------------------------------------------------------------------

function PreloadAmbientSounds()
    local vecAmbientSounds = ParseDirectory('data/Sound/InterNoise/')
    for i = 0, vecAmbientSounds:size() - 1 do
        local sound_path = vecAmbientSounds:get(i)
        local name = ExtractFileName(sound_path)
        
        LoadAmbientSound(name, sound_path)
    end
end
--------------------------------------------------------------------------------